package org.example.wedding_app_backend.controller;

import org.example.wedding_app_backend.controller.representation.WeddingRepresentation;
import org.example.wedding_app_backend.controller.mapper.WeddingMapper;
import org.example.wedding_app_backend.service.WeddingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.server.ResponseStatusException;

import java.util.UUID;

@RequestMapping("/api/wedding")
@RestController
public class WeddingController {
    private final WeddingService weddingService;
    private final WeddingMapper weddingMapper;

    @Autowired
    public WeddingController(
            WeddingService weddingService,
            WeddingMapper weddingMapper) {
        this.weddingService = weddingService;
        this.weddingMapper = weddingMapper;
    }

    @GetMapping("/{id}")
    public WeddingRepresentation getWedding(@PathVariable UUID id) {
        return weddingService.findById(id)
                .map(weddingMapper::entityToRepresentation)
                .orElseThrow(() -> new ResponseStatusException(HttpStatus.NOT_FOUND));
    }
}
