package org.example.wedding_app_backend.function;

import org.example.wedding_app_backend.controller.representation.GetWeddingImagesResponse;
import org.example.wedding_app_backend.repository.entity.WeddingImage;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.function.Function;

@Component
public class WeddingImagesToResponseFunction implements Function<List<WeddingImage>, GetWeddingImagesResponse> {

    @Override
    public GetWeddingImagesResponse apply(List<WeddingImage> images) {
        return GetWeddingImagesResponse.builder()
                .images(images.stream()
                        .map(weddingImage -> GetWeddingImagesResponse.WeddingImage.builder()
                                .id(weddingImage.getId())
                                .likes(weddingImage.getLikes())
                                .date(weddingImage.getDate().toString())
                                .build())
                        .toList())
                .build();
    }
}
