package org.example.wedding_app_backend.service;

import org.example.wedding_app_backend.repository.entity.WeddingEntity;
import org.example.wedding_app_backend.repository.WeddingRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Service
public class WeddingService {
    private final WeddingRepository weddingRepository;

    @Autowired
    public WeddingService(WeddingRepository weddingRepository) {
        this.weddingRepository = weddingRepository;
    }

    public List<WeddingEntity> findAll() {
        return weddingRepository.findAll();
    }

    public Optional<WeddingEntity> findById(UUID id) {
        return weddingRepository.findById(id);
    }

    public void save(WeddingEntity wedding) {
        weddingRepository.save(wedding);
    }
}
