import {Component, inject, Input, OnInit} from '@angular/core';
import {WeddingService} from '../../services/wedding.service';
import {WeddingType} from '../../models/wedding.type';
import {NgIf} from '@angular/common';

@Component({
  selector: 'app-wedding',
  standalone: true,
  imports: [
    NgIf
  ],
  templateUrl: './wedding.component.html',
  styleUrl: './wedding.component.css'
})
export class WeddingComponent implements OnInit {

  @Input()
  id!: string;

  weddingService = inject(WeddingService);

  wedding: WeddingType | undefined;

  constructor() {
  }

  ngOnInit(): void {
    this.weddingService.getWeddingById(this.id).subscribe(wedding => {
      this.wedding = wedding;
    })
  }

}
