import {inject, Injectable} from '@angular/core';
import {HttpClient, HttpParams} from '@angular/common/http';
import {Observable} from 'rxjs';
import {GalleryType} from '../models/gallery.type';

@Injectable({
  providedIn: 'root'
})
export class GalleryService {
  http = inject(HttpClient);

  getGalleryByWeddingId(weddingId: string, sort: string): Observable<GalleryType> {
    const url = '/api/wedding';
    let params = new HttpParams()
      .set('sort', sort);
    return this.http.get<GalleryType>(`${url}/${weddingId}/gallery`, {params: params});
  }

  postImage(file: File, weddingId: string, ): Observable<any> {
    const url = '/api/wedding';
    const formData = new FormData();

    if (file.size === 0) {
      console.error('File is empty');
    }
    formData.append('image', file, file.name);

    return this.http.post(`${url}/${weddingId}/gallery/add`, formData);
  }

  changeImageLikes(weddingId : string,weddingImageId : string, like: number): Observable<any> {
    const url = '/api/wedding';
    const body = { like };

    return this.http.patch(`${url}/${weddingId}/gallery/${weddingImageId}`, body);
  }
}
